﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace RadCalculatorPickerResetValueIssue
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		DependencyPropertyDescriptor dpd;
		public MainWindow()
		{
			InitializeComponent();

			dpd = DependencyPropertyDescriptor.FromProperty(RadCalculatorPicker.IsDropDownOpenProperty, typeof(RadCalculatorPicker));
			dpd.AddValueChanged(this.RadCalculatorPicker, OnIsDropDownOpenPropertyChanged);
		}

		private void OnIsDropDownOpenPropertyChanged(object sender, EventArgs e)
		{
			if (this.RadCalculatorPicker.IsDropDownOpen)
			{
				Dispatcher.BeginInvoke(DispatcherPriority.Render, new Action(() =>
				{
					 RadCalculatorCommands.ClearEverything.Execute(true);
				}));
			}
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.RadCalculatorPicker.Value = 0;
		}
	}
}
